0

When I run

php bin/magento setup:di:compile

I get an error with one of my theme's extensions:

Fatal error: Class 'Hybrid_Provider_Model_OAuth2' not found in /var/www/html/app/code/MageBig/SocialLogin/Model/Providers/Amazon.php on line 26

1
  • past contend of file Amazon.php from line 20 to 30 – Aman Alam Nov 21 '18 at 21:53
3

Maybe you just copy paste this social login module in your project

if you see it's composer.json file here https://github.com/mageplaza/magento-2-social-login/blob/master/composer.json

you will get an idea there is the dependency on "hybridauth/hybridauth": "^2.11.0", that's why you get an error

what you should do now is try to run below commands

composer require mageplaza/magento-2-social-login

php bin/magento setup:upgrade

php bin/magento setup:static-content:deploy

composer require mageplaza/magento-2-social-login this line will install all its dependency modules

For more details follow it's setup guide https://www.mageplaza.com/install-magento-2-extension/

2

I needed to install Hybrid Auth https://doc.magebig.com/martfury/extensions/#social-login

After that, I was able to compile without errors.

0

I got the same error while trying to run the 'magento setup:di:compile' command

'Fatal error: Class 'Hybrid_Provider_Model_OAuth2' not found in /var/www/html/app/code/MageBig/SocialLogin/Model/Providers/Amazon.php on line 26'

After Reinstalling Hybrid Auth https://doc.magebig.com/martfury/extensions/#social-login

I then got the error

'Fatal error: Class 'Hybrid_Provider_Model_OAuth2' not found in /var/www/html/app/code/MageBig/SocialLogin/Model/Providers/Amazon.php on line 30'

What did I do wrong. Any Ideas? Please Help. Thank you.

0

Install the dependency, after that you will able to compile without errors.

composer require hybridauth/hybridauth: ^2.11.0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.